Get Sequence
Fetch a single sequence run.
Requires the sequences:read scope on the API key.
GET
/
v1
/
sequences
/
{sequence_id}
Get Sequence
curl --request GET \
--url https://api.topo.io/v1/sequences/{sequence_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/sequences/{sequence_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/sequences/{sequence_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ACTIVE",
"variables": {},
"source_contact_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_step_executed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"linkedin_url": "<string>",
"job_title": "<string>",
"company_name": "<string>",
"company_domain": "<string>"
},
"sequence_template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the sequence.
Response
200 - application/json
Successful Response
Unique identifier.
Workspace this sequence belongs to.
Contact this sequence is targeting.
Template the sequence was instantiated from.
Current execution state.
Available options:
ACTIVE, SUCCEEDED, FAILED, COMPLETED, WAITING_FOR_LEAD, WAITING_FOR_USER, STOPPED_EARLY, FOUND, REFUSED Contact list that triggered this sequence, if any.
When the most recent step ran.
When the sequence was created.
When the sequence last changed.
Summary of the contact this sequence is targeting.
Hide child attributes
Hide child attributes
Unique identifier of the contact.
First name.
Last name.
Email.
LinkedIn profile URL.
Job title.
Employer name.
Employer's primary domain.
Was this page helpful?
⌘I
Get Sequence
curl --request GET \
--url https://api.topo.io/v1/sequences/{sequence_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/sequences/{sequence_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/sequences/{sequence_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ACTIVE",
"variables": {},
"source_contact_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_step_executed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"linkedin_url": "<string>",
"job_title": "<string>",
"company_name": "<string>",
"company_domain": "<string>"
},
"sequence_template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}